r4661 - packages/trunk/wormux/debian

Eddy Petrisor eddyp-guest at alioth.debian.org
Thu Nov 15 00:25:56 UTC 2007


Author: eddyp-guest
Date: 2007-11-15 00:25:56 +0000 (Thu, 15 Nov 2007)
New Revision: 4661

Added:
   packages/trunk/wormux/debian/update_control
Modified:
   packages/trunk/wormux/debian/changelog
   packages/trunk/wormux/debian/rules
Log:
+  * drop using the mis-feature DEB_AUTO_UPDATE_DEBIAN_CONTROL of cdbs
+    since it can lead to various issues and is a serious reason for
+    REJECTS for NEW packages:
+    http://lists.debian.org/debian-devel-announce/2005/08/msg00011.html
+    Also see: http://bugs.debian.org/311724
+  * to compensate for the previous removal, add a script that does the same
+    thing, but needs to be manually ran by the maintainer; added also a
+    debian/rules rule that wraps the same script to make its purpose more
+    obvious


Modified: packages/trunk/wormux/debian/changelog
===================================================================
--- packages/trunk/wormux/debian/changelog	2007-11-14 20:35:16 UTC (rev 4660)
+++ packages/trunk/wormux/debian/changelog	2007-11-15 00:25:56 UTC (rev 4661)
@@ -8,8 +8,19 @@
     * Remove full path from exec line.
   * (Description is still not HIG compliant)
 
- -- Gerfried Fuchs <rhonda at debian.at>  Wed, 17 Oct 2007 18:13:50 +0200
+  [ Eddy Petrișor ]
+  * drop using the mis-feature DEB_AUTO_UPDATE_DEBIAN_CONTROL of cdbs
+    since it can lead to various issues and is a serious reason for
+    REJECTS for NEW packages:
+    http://lists.debian.org/debian-devel-announce/2005/08/msg00011.html
+    Also see: http://bugs.debian.org/311724
+  * to compensate for the previous removal, add a script that does the same
+    thing, but needs to be manually ran by the maintainer; added also a
+    debian/rules rule that wraps the same script to make its purpose more
+    obvious
 
+ -- Eddy Petrișor <eddy.petrisor at gmail.com>  Thu, 15 Nov 2007 02:13:53 +0200
+
 wormux (0.8beta2-2) unstable; urgency=low
 
   * Bumped wormux-data conflicts on wormux to current 0.8beta2 version, old

Modified: packages/trunk/wormux/debian/rules
===================================================================
--- packages/trunk/wormux/debian/rules	2007-11-14 20:35:16 UTC (rev 4660)
+++ packages/trunk/wormux/debian/rules	2007-11-15 00:25:56 UTC (rev 4661)
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes
-
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
@@ -22,3 +20,11 @@
 	rm debian/tmp/usr/share/games/wormux/*.xpm
 	rm debian/tmp/usr/share/games/wormux/*.svg
 	rm debian/tmp/usr/share/games/wormux/*.png
+
+# use this rule manually to update the build dependencies
+# updating them automatically is evil and is a reason for
+# rejects for NEW processing;
+# see why in this bug:
+# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=311724
+update_control::
+	debian/update_control

Added: packages/trunk/wormux/debian/update_control
===================================================================
--- packages/trunk/wormux/debian/update_control	                        (rev 0)
+++ packages/trunk/wormux/debian/update_control	2007-11-15 00:25:56 UTC (rev 4661)
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# A small script that allows debian/control update through cdbs'
+# DEB_AUTO_UPDATE_DEBIAN_CONTROL feature
+#
+# Author: Eddy Petrișor <eddy.petrisor at gmail.com>, 2007
+
+
+# This is not directly in the rules file because is a reason for a reject:
+# Ref: http://lists.debian.org/debian-devel-announce/2005/08/msg00011.html
+#
+# [..]
+# - You have a cdbs package and for whatever reason turned on the "play
+#   with my debian/control in a bad way" option. See #311724 for a long
+#   text on that matter.
+#   Small overview is in Footnote [2].
+# [..]
+# [2]  The "DEB_AUTO_UPDATE_DEBIAN_CONTROL" option turned on modifies
+#  Build-Depends, which doesnt affect the build thats running. But it
+#  affects all following builds, which can be NMU, buildd builds and worst
+#  case: security builds. You *DO NOT* want to have such a build getting a
+#  different result (except for the small changes intended with the build)
+#  just because there is now another thing in the build-depends.
+#  Two solutions for this: a.) Think about it and set the Build- Depends
+#  yourself. Thats *easy* and you can check them in pbuilder. b.) Do this
+#  only in a special target in debian/rules that is NEVER called
+#  automagically. So you can check what it did before you start the real
+#  build.
+# [..]
+
+
+set -e
+
+# try to use fakeroot if not root and fakroot is found
+[ `id -u` -eq 0 ] || FAKEROOT=`which fakeroot || true`
+
+
+if [ -d debian ]
+then
+    $FAKEROOT debian/rules debian/control DEB_AUTO_UPDATE_DEBIAN_CONTROL:=yes
+else
+    echo "You must be in the root of the source tree to use this command"
+    exit 1
+fi


Property changes on: packages/trunk/wormux/debian/update_control
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-games-commits mailing list